Subject: bug#78822: 28.2; Debian 12 GNU Emacs Custom custom-set-variables and init.el

From: Barry Davidson <[email-masked]>
Date: Wed, 18 Jun 2025 04:59:43 +0300

Hello!
I manually added in init.el, custom-set-variables:
`(backup-directory-alist
  '(,(cons ".*" (concat user-emacs-directory "bkup/"))))
It worked well until I added some settings through Custom.
I added this through Customize interface, Custom wrote:
'(speedbar-highlight-face ((t (:background "yellow")))))
and Custom went and rewrote both custom-set-faces and
custom-set-variables and my manually added text was
replaced by:
'(backup-directory-alist '((".*" . "~/.emacs.d/bkup/")))
Is it a bug or intended feature?

There is some ambiguous information on the web about init.el,
therefore the question I have is:
If my init file is byte-compiled, do I need to use
(eval '(setq ...
instead of
(setq ... ?
Thanks!